<mat-sidenav-container>
    <mat-sidenav #sidenav mode="side" opened="true">
        <mat-nav-list>
            
            <mat-list-item>
                <mat-icon mat-list-icon class="" (click)="isExpanded= !isExpanded">chevron_right</mat-icon>
            </mat-list-item>
            
            <mat-list-item>
                <!-- <mat-icon mat-list-icon [routerLink]="'dashboard'" >Home</mat-icon> -->
                <mat-icon [routerLink]="'dashboard'">home</mat-icon>
                <span *ngIf="isExpanded" [routerLink]="'dashboard'">Dashboard</span>
            </mat-list-item>

            <mat-list-item>
                <!-- <mat-icon mat-list-icon [routerLink]="'site'" >Site</mat-icon> -->
                <mat-icon [routerLink]="'site'">group_work</mat-icon>
                <span *ngIf="isExpanded" [routerLink]="'site'">Site</span>
            </mat-list-item>

            <mat-list-item>
                <!-- <mat-icon mat-list-icon [routerLink]="'reports'" >Reports</mat-icon> -->
                <mat-icon [routerLink]="'reports'"> table_chart</mat-icon>
                <span *ngIf="isExpanded" [routerLink]="'reports'">Reports</span>
            </mat-list-item>

            <mat-list-item>
                <!-- <mat-icon mat-list-icon [routerLink]="'alert'" >Alert</mat-icon> -->
                <mat-icon [routerLink]="'alerts'">add_alert</mat-icon>
                <span *ngIf="isExpanded" [routerLink]="'alerts'">Alerts</span>
            </mat-list-item>

        </mat-nav-list>
    </mat-sidenav>
    <div>
        <router-outlet></router-outlet>
    </div>
</mat-sidenav-container>